<?php

require_once ('../system/funcs.php');
require_once ('../system/sys.php');
include_once ('set.php');
H (' Биллинг');


if(isset($_REQUEST['submit'])) {

$name = ($_POST['name']);
$url = ($_POST['url']);
$day = ($_POST['day']);

$summa = $day*$cena['reklama'];

if(empty($name) and empty($url)) {
echo '<div class="raz"><center><b>Введите имя и ссылку!</b></center></div>';
F ();
exit();
}

if($us['money'] < $summa) {
echo '<div class="raz"><center><b>Неxватает денег!</b></center></div>';
F ();
exit();
}

if($day <=0) {
echo '<div class="raz"><center><b>Введите количество дней!</b></center></div>';
F ();
exit();
}

DB :: $dbs -> query ("UPDATE `us` SET `money`='" . ($us['money'] - $summa) . "' WHERE (`id`='" . $us['id'] . "')");
DB :: $dbs -> query ("INSERT INTO `ads` (`name`, `link`,`time`) VALUES ('" . $name . "', '" . $url . "', '" . (time()+($day*86400)) . "')");
echo '<div class="raz">Реклама успешно куплена!</a></div>';
F ();
exit;
}

echo '<div class="raz">Ваши деньги: '.$us['money'].'</div>';

echo '<div class="raz">Стоимость рекламы: '.$cena['reklama'].' руб/1дн</div>';
echo '<div class="list1">';
echo '<form action="" method="POST" enctype="multipart/form-data">';
echo 'Имя:<br><input type="text" name="name"/></br>';
echo 'URL (с http://):<br><input type="text" name="url"/></br>';
echo 'Количество дней:<br><input type="number" name="day"/></br>';
echo '<input type="submit" name="submit" value="Продолжить"/>';
echo '</form>';
echo '</div>';


F ();

?>